Page MenuHomePhabricator

Phabricator form to submit Wikimedia developer Summit 2017 proposals
Closed, ResolvedPublic

Description

All Wikimedia Developer Summit 2017 proposals will be documented as Phabricator tasks. We can take advantage of Phabricator forms to make the submission process simpler and more consistent across proposals,

  • We need to define the fields of the form and the content that will pre-fill them.
  • We also need a wiki subpage with the instructions, ready for users who have never used Wikimedia Phabricator before.

Form fields

Description:

Please check the instructions, they will help you submitting a good proposal: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/Call_for_participation

Type of activity:
Main topic:

The problem

...

Expected outcome

...

Current status of the discussion

...

Links

  • ...

Event Timeline

Qgil created this task.Sep 22 2016, 2:27 PM

I'd like to propose the opposite:

All Wikimedia Developer Summit 2017 proposals will be documented on mediawiki.org. We can take advantage of the InputBox extension and preloaded content to make the submission process simpler and more consistent across proposals,

  • We need to define the fields of the form and the content that will pre-fill them.
  • We also need a wiki subpage with the instructions, ready for users who have never used MediaWiki before.

Pros:

  • Better dogfooding of our own software (Watchlist, enotifs, RC, VE, etc.)
  • Developers tend to get angry and fix bugs after encountering it themselves (a good thing!)
  • If we're able to get new people (T146615), we can also get valuable user testing from new users!

Cons:

  • No phunny ph- words for people to learn how to pronounce.

Overall, I think it is demoralizing that we are not able to plan our own summit on our own software, that is supposed to be used for this kind of online collaboration.

greg added a subscriber: greg.Sep 27 2016, 10:03 PM

I'd like to propose the opposite: [use mediawiki.org for proposals]
[...]
[This promotes] dogfooding of our own software (Watchlist, enotifs, RC, VE, etc.)

@Legoktm sent an email to wikitech-l that emphasizes the dogfooding point a bit more, so I replied on list (see @Legoktm's Re: Wikimedia Developer Summit 2017 discussion email and my 2016-09-27 response. In short, I don't believe as much in the values of dogfooding.

@Qgil (and others), I'll leave it up to you to respond about the potential benefits of using Phabricator. As my email suggests (and my experience from last year, and this year with ArchCom work), I think Phab gives us more convenient workflow options, but I don't intend to be the last holdout if I'm the only one who thinks that.

Qgil added a comment.Sep 28 2016, 1:57 PM

I have explained at https://lists.wikimedia.org/pipermail/wikitech-l/2016-September/086667.html why now it is too late to start a discussion about Phabricator vs MediaWiki to handle the call for participation. Bottom line: we need to open registration this week; we have delayed this opening due to other reasons for several weeks now.

About the predefined form content. I checked T111811: templates for etherpads/Phabricator for all WikiDev16 sessions , which led me to the fields we had requested last year. Based on that, I am adding a proposal in the description of this task (in a few minutes).

Qgil reassigned this task from Qgil to mmodell.Sep 29 2016, 12:39 PM
Qgil updated the task description. (Show Details)
Qgil added a subscriber: mmodell.

@mmodell, my part of the work here is done. Can you create form, please?

TheDJ added a subscriber: TheDJ.Sep 29 2016, 2:10 PM
Qgil added a comment.Sep 30 2016, 11:18 AM

This is good enough to not be a blocker for opening the call for participation. Thank you!

I see two problems:

  • The Tags field is not editable. This means that we should either make it editable (at the risk of letting people remove the Summit tag accidentally) or change the instructions to reflect the current behavior.
  • The Priority field is visible but not editable. If possible, we should remove it completely (preferred) or make it editable.
mmodell closed this task as Resolved.Oct 3 2016, 6:26 PM
Qgil awarded a token.Oct 4 2016, 6:29 PM